# Class DocGridAttributes

#### Hierarchy (view full)

- XmlAttributeComponent<IDocGridAttributesProperties>
  - DocGridAttributes

- Defined in file/document/body/section-properties/properties/doc-grid.ts:35

#####
Index

### Constructors

constructor

### Methods

prepForXml

## Constructors

### constructor

- new DocGridAttributes(root): DocGridAttributes

- #### Parameters

  - root: IDocGridAttributesProperties

  #### Returns DocGridAttributes

  Inherited from XmlAttributeComponent.constructor

  - Defined in file/xml-components/default-attributes.ts:13

## Methods

### prepForXml

- prepForXml(_): IXmlableObject

- #### Parameters

  - _: IContext

  #### Returns IXmlableObject

  Inherited from XmlAttributeComponent.prepForXml

  - Defined in file/xml-components/default-attributes.ts:17

Generated using TypeDoc